
%global meadversion 1.0.3
%global namedversion 1.0.3.Final-redhat-00001
%global meadalpha .Final_redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package jboss-jaxrs-api_2.1_spec}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.0.3.Final-redhat-00001

Name:           %{?scl_prefix}jboss-jaxrs-api_2.1_spec
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        JAX-RS 2.1: The Java(TM) API for RESTful Web Services
License:        CDDL-1.0 or GPLv2 with exceptions
URL:            https://github.com/jboss/jboss-jaxrs-api_spec
Group:          Development/Java

%if %with mead
Source100: jboss-jaxrs-api_2.1_spec-1.0.3.Final-redhat-00001-project-sources.tar.gz
Source102: jboss-jaxrs-api_2.1_spec-1.0.3.Final-redhat-00001-sources.jar
Source103: jboss-jaxrs-api_2.1_spec-1.0.3.Final-redhat-00001.jar
Source104: jboss-jaxrs-api_2.1_spec-1.0.3.Final-redhat-00001.pom
%endif


BuildRequires:  unzip
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
JSR 370: JAX-RS 2.1: The Java(TM) API for RESTful Web Services

%if %with javadoc
%package javadoc
Summary:        Javadoc for jboss-jaxrs-api_2.1_spec
Group:          Development/Documentation

BuildRequires:  jpackage-utils

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jboss-jaxrs-api_2.1_spec-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jboss-jaxrs-api_2.1_spec-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-jaxrs-api_2.1_spec-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jboss-jaxrs-api_2.1_spec-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-jaxrs-api_2.1_spec-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jboss-jaxrs-api_2.1_spec-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-jaxrs-api_2.1_spec-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jboss-jaxrs-api_2.1_spec-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jboss-jaxrs-api_2.1_spec-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jboss-jaxrs-api_2.1_spec-%{namedversion} -x META-INF/\*
%{__ln_s} jboss-jaxrs-api_2.1_spec-%{namedversion} %{buildroot}%{_javadocdir}/jboss-jaxrs-api_2.1_spec
%endif

%clean
%{__rm} -rf %{buildroot}


%files
%defattr(0644,root,root,0755)
%doc LICENSE
%{_javadir}/jboss-jaxrs-api_2.1_spec-%{namedversion}.jar
%{_javadir}/jboss-jaxrs-api_2.1_spec.jar
%if %with javadoc
%{_javadir}/jboss-jaxrs-api_2.1_spec-%{namedversion}-javadoc.jar
%{_javadir}/jboss-jaxrs-api_2.1_spec-javadoc.jar
%endif
%{_javadir}/jboss-jaxrs-api_2.1_spec-%{namedversion}-sources.jar
%{_javadir}/jboss-jaxrs-api_2.1_spec-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jboss-jaxrs-api_2.1_spec-%{namedversion}
%{_javadocdir}/jboss-jaxrs-api_2.1_spec
%endif


%changelog
* Wed Aug 14 2019 Yong Yang <yyang@redhat.com> - 1.0.3-1.Final_redhat_00001.1
- RPM wrapper build

* Wed Aug 14 2019 Yong Yang <yyang@redhat.com> - 1.0.2-3.Final_redhat_00001.1
- RPM wrapper build

* Tue Aug 13 2019 Yong Yang <yyang@redhat.com> - 1.0.2-2.Final_redhat_00001.1
- RPM wrapper build

* Wed May 22 2019 Permaine Cheung <pcheung@redhat.com> - 1.0.2-1.Final_redhat_00001.1
- 1.0.2.Final_redhat_00001

* Wed Aug 15 2018 Permaine Cheung <pcheung@redhat.com> - 1.0.1-1.Final_redhat_00001.1
- 1.0.1.Final-redhat-00001

* Fri Jun 29 2018 Yong Yang <yyang@redhat.com> - 1.0.0-1.Final_redhat_1.1
-  1.0.0.Final-redhat-1 for eap 7.2.0

* Fri Jun 29 2018 Yong Yang <yyang@redhat.com> - 1.0.0-1.Final_redhat_1.1
-  1.0.0.Final-redhat-1 for eap 7.2.0

* Fri Jun 29 2018 Yong Yang <yyang@redhat.com> - 1.0.0-1.Final_redhat_1.1
- 1.0.0.Final-redhat-1

